import request from '@/utils/request'

// 查询疏散硬件列表
export function listSparseHardware(query) {
  return request({
    url: '/laboratory/sparseHardware/list',
    method: 'get',
    params: query
  })
}

// 查询疏散硬件详细
export function getSparseHardware(id) {
  return request({
    url: '/laboratory/sparseHardware/' + id,
    method: 'get'
  })
}

// 新增疏散硬件
export function addSparseHardware(data) {
  return request({
    url: '/laboratory/sparseHardware',
    method: 'post',
    data: data
  })
}

// 修改疏散硬件
export function updateSparseHardware(data) {
  return request({
    url: '/laboratory/sparseHardware',
    method: 'put',
    data: data
  })
}

// 删除疏散硬件
export function delSparseHardware(id) {
  return request({
    url: '/laboratory/sparseHardware/' + id,
    method: 'delete'
  })
}
// 删除疏散硬件
export function buildsList() {
  return request({
    url: '/system/dept/builds/list',
    method: 'get'
  })
}

//根据院系查询实验室
export function getNoAdminSubjectListNopage(data) {
  return request({
    url: '/laboratory/subject/list/nopage',
    method: 'get',
    params: data
  })
}

//查询楼栋列表
export function getBuildsList(data) {
  return request({
    url: '/system/dept/builds/list',
    method: 'get',
    params: data
  })
}

